<div class="d-flex flex-column min-vh-100 justify-content-center align-items-center">
  <div class="container m-5 w-100 d-flex justify-content-center">
    <div class="card w-50">
      <%= render layout: "components/window_buttons" do %>
        <span class="text-secondary w-75 text-center text-truncate font-monospace"><%= @target_url.errors.any? ? @target_url.errors.full_messages.first+"!" : @has_session ? 'Short URL generated!' : 'Ready for a short?' %></span>
      <% end %>
      <hr class="m-0 pb-3">
      <div class="card-body px-5" style="height: 320px;">
        <% if @has_session %>
          <%= render partial: "home/created_short_url" %>
        <% else %>
          <%= render partial: "home/create_short_url" %>
        <% end %>
      </div>
    </div>
  </div>
</div>
